Bug 526259 - [Cisco 5.5 feat] libfc bug fixes and improvements
Summary: [Cisco 5.5 feat] libfc bug fixes and improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: alpha
: 5.5
Assignee: Mike Christie
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 557292 533941
TreeView+ depends on / blocked
 
Reported: 2009-09-29 14:26 UTC by Abhijeet Joglekar
Modified: 2015-04-27 20:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:21:35 UTC


Attachments (Terms of Use)
Remove unnecessary warning (1.09 KB, patch)
2009-09-29 23:57 UTC, Abhijeet Joglekar
no flags Details | Diff
fix debug macros (2.60 KB, patch)
2009-09-29 23:58 UTC, Abhijeet Joglekar
no flags Details | Diff
use scsi host number in dbg msgs (3.65 KB, patch)
2009-09-29 23:59 UTC, Abhijeet Joglekar
no flags Details | Diff
Rename lport NONE state to lport DISABLED (3.49 KB, patch)
2009-09-29 23:59 UTC, Abhijeet Joglekar
no flags Details | Diff
Dont login back if going down (3.50 KB, patch)
2009-09-30 00:00 UTC, Abhijeet Joglekar
no flags Details | Diff
Flush all rports deferred work when link goes down (1.96 KB, patch)
2009-09-30 00:01 UTC, Abhijeet Joglekar
no flags Details | Diff
Rename rport NONE to rport DELETE (5.32 KB, patch)
2009-09-30 00:01 UTC, Abhijeet Joglekar
no flags Details | Diff
dont drop lock during rport logoff (4.51 KB, patch)
2009-09-30 00:01 UTC, Abhijeet Joglekar
no flags Details | Diff
cancel rport retry timer when rport goes away (1.62 KB, patch)
2009-09-30 00:02 UTC, Abhijeet Joglekar
no flags Details | Diff
fix misleading fc_exch debug statement (1.52 KB, patch)
2009-09-30 00:02 UTC, Abhijeet Joglekar
no flags Details | Diff
split rport-priv and libfc-rport (14.19 KB, patch)
2009-09-30 00:03 UTC, Abhijeet Joglekar
no flags Details | Diff
change rport_create internface (7.28 KB, patch)
2009-09-30 00:04 UTC, Abhijeet Joglekar
no flags Details | Diff
fix rport priv macros (1.13 KB, patch)
2009-09-30 00:04 UTC, Abhijeet Joglekar
no flags Details | Diff
scsi/fcp and rport/disc use different interfaces to rports (49.62 KB, patch)
2009-09-30 00:05 UTC, Abhijeet Joglekar
no flags Details | Diff
elsct interface uses fcid (8.87 KB, patch)
2009-09-30 00:06 UTC, Abhijeet Joglekar
no flags Details | Diff
detach libfc's rport from scsi transport's rport (23.05 KB, patch)
2009-09-30 00:07 UTC, Abhijeet Joglekar
no flags Details | Diff
remove unused lookup all rports (1.43 KB, patch)
2009-09-30 00:07 UTC, Abhijeet Joglekar
no flags Details | Diff
rearrange fc_rport_work deferred work (2.16 KB, patch)
2009-09-30 00:08 UTC, Abhijeet Joglekar
no flags Details | Diff
rename rport CREATED to rport READY in prep for ADISC (2.86 KB, patch)
2009-09-30 00:09 UTC, Abhijeet Joglekar
no flags Details | Diff
get rid of rogues (15.01 KB, patch)
2009-09-30 00:09 UTC, Abhijeet Joglekar
no flags Details | Diff
fix rport event race between logo and ready (1.19 KB, patch)
2009-09-30 00:10 UTC, Abhijeet Joglekar
no flags Details | Diff
remove event from disc, pass it directly (4.37 KB, patch)
2009-09-30 00:11 UTC, Abhijeet Joglekar
no flags Details | Diff
remove unused disc delay (1.46 KB, patch)
2009-09-30 00:11 UTC, Abhijeet Joglekar
no flags Details | Diff
print 0 for frame pointers and actual error numbers for other errors (1.11 KB, patch)
2009-09-30 00:13 UTC, Abhijeet Joglekar
no flags Details | Diff
simplify lport-rport callback since only for dns rport (2.56 KB, patch)
2009-09-30 00:13 UTC, Abhijeet Joglekar
no flags Details | Diff
move rport list to rport module, still under discovery lock (4.76 KB, patch)
2009-09-30 00:14 UTC, Abhijeet Joglekar
no flags Details | Diff
tarball of all patches (56.46 KB, application/octet-stream)
2009-09-30 00:19 UTC, Abhijeet Joglekar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Abhijeet Joglekar 2009-09-29 14:26:19 UTC
bugzilla for pulling in upstream libfc bug fixes and improvements to 5.5.

Comment 1 Andrius Benokraitis 2009-09-29 15:12:18 UTC
This request is past the original due dates for feature requests for RHEL 5.5, but I'm wondering if Mike Christie already has another bugzilla queuing up this work. Mike?

Comment 3 Mike Christie 2009-09-29 17:34:44 UTC
I was going to update for 5.5, but I did not have a bugzilla for it yet.

Comment 4 Andrius Benokraitis 2009-09-29 17:39:50 UTC
Looks like you can use this one then. Thanks Mike!

Comment 5 Abhijeet Joglekar 2009-09-29 23:57:34 UTC
Created attachment 363067 [details]
Remove unnecessary warning

Comment 6 Abhijeet Joglekar 2009-09-29 23:58:33 UTC
Created attachment 363068 [details]
fix debug macros

Comment 7 Abhijeet Joglekar 2009-09-29 23:59:03 UTC
Created attachment 363069 [details]
use scsi host number in dbg msgs

Comment 8 Abhijeet Joglekar 2009-09-29 23:59:38 UTC
Created attachment 363070 [details]
Rename lport NONE state to lport DISABLED

Comment 9 Abhijeet Joglekar 2009-09-30 00:00:18 UTC
Created attachment 363071 [details]
Dont login back if going down

Comment 10 Abhijeet Joglekar 2009-09-30 00:01:02 UTC
Created attachment 363072 [details]
Flush all rports deferred work when link goes down

Comment 11 Abhijeet Joglekar 2009-09-30 00:01:28 UTC
Created attachment 363073 [details]
Rename rport NONE to rport DELETE

Comment 12 Abhijeet Joglekar 2009-09-30 00:01:56 UTC
Created attachment 363074 [details]
dont drop lock during rport logoff

Comment 13 Abhijeet Joglekar 2009-09-30 00:02:19 UTC
Created attachment 363075 [details]
cancel rport retry timer when rport goes away

Comment 14 Abhijeet Joglekar 2009-09-30 00:02:48 UTC
Created attachment 363076 [details]
fix misleading fc_exch debug statement

Comment 15 Abhijeet Joglekar 2009-09-30 00:03:43 UTC
Created attachment 363077 [details]
split rport-priv and libfc-rport

Comment 16 Abhijeet Joglekar 2009-09-30 00:04:27 UTC
Created attachment 363078 [details]
change rport_create internface

Comment 17 Abhijeet Joglekar 2009-09-30 00:04:49 UTC
Created attachment 363079 [details]
fix rport priv macros

Comment 18 Abhijeet Joglekar 2009-09-30 00:05:52 UTC
Created attachment 363080 [details]
scsi/fcp and rport/disc use different interfaces to rports

Comment 19 Abhijeet Joglekar 2009-09-30 00:06:24 UTC
Created attachment 363081 [details]
elsct interface uses fcid

Comment 20 Abhijeet Joglekar 2009-09-30 00:07:24 UTC
Created attachment 363082 [details]
detach libfc's rport from scsi transport's rport

Comment 21 Abhijeet Joglekar 2009-09-30 00:07:49 UTC
Created attachment 363083 [details]
remove unused lookup all rports

Comment 22 Abhijeet Joglekar 2009-09-30 00:08:18 UTC
Created attachment 363084 [details]
rearrange fc_rport_work deferred work

Comment 23 Abhijeet Joglekar 2009-09-30 00:09:14 UTC
Created attachment 363085 [details]
rename rport CREATED to rport READY in prep for ADISC

Comment 24 Abhijeet Joglekar 2009-09-30 00:09:42 UTC
Created attachment 363086 [details]
get rid of rogues

Comment 25 Abhijeet Joglekar 2009-09-30 00:10:49 UTC
Created attachment 363087 [details]
fix rport event race between logo and ready

Comment 26 Abhijeet Joglekar 2009-09-30 00:11:16 UTC
Created attachment 363088 [details]
remove event from disc, pass it directly

Comment 27 Abhijeet Joglekar 2009-09-30 00:11:44 UTC
Created attachment 363089 [details]
remove unused disc delay

Comment 28 Abhijeet Joglekar 2009-09-30 00:13:02 UTC
Created attachment 363090 [details]
print 0 for frame pointers and actual error numbers for other errors

Comment 29 Abhijeet Joglekar 2009-09-30 00:13:48 UTC
Created attachment 363091 [details]
simplify lport-rport callback since only for dns rport

Comment 30 Abhijeet Joglekar 2009-09-30 00:14:38 UTC
Created attachment 363092 [details]
move rport list to rport module, still under discovery lock

Comment 31 Abhijeet Joglekar 2009-09-30 00:19:18 UTC
Created attachment 363093 [details]
tarball of all patches

Comment 32 Mike Christie 2009-09-30 16:02:35 UTC
Thanks Abhijeet.  Are these patches and the ones in 
519091 patches you wanted in 5.5 and in 5.4.z?

Comment 33 Andrius Benokraitis 2009-09-30 18:00:07 UTC
Mike - I think the confusion is around if libfc is going to be re-based or not. If it is, then these patches may not be even applicable, since they are against 5.4's libfc.

So, if 5.5 isn't going to be re-based, then I would assume these patches are requested for 5.5, else - Cisco will need to test an early 5.5. with the re-based libfc to see how it impacts fnic and/or regressions.

Am I on track here, Abhijeet?

Comment 34 Abhijeet Joglekar 2009-09-30 21:31:09 UTC
That's right Andrius. 

1) We need these patches for 5.4-z. These are only libfc bug fixes and improvements to libfc disc/rport modules, and do not include any new features like FIP or NPIV.

2) If 5.5 libfc is rebased, Mike would automatically pick these patches and many other non-bug-fix patches for 5.5. from upstream libfc (like FIP support for instance)

3) If 5.5 is not rebased from upstream, then these patches would be required for 5.5 too.

thanks.

Comment 35 Chris Ward 2009-10-13 15:32:40 UTC
@Cisco,

We need to confirm that there is commitment to test 
for the resolution of this request during the RHEL 5.5 test
phase, if it is accepted into the release. 

Please post a confirmation before Oct 16th, 2009, 
including the contact information for testing engineers.

Comment 36 Abhijeet Joglekar 2009-11-11 17:42:09 UTC
yes, this would get tested as part of fnic/libfc for 5.5 after the rebase is done from upstream/open-fcoe.

Comment 39 Andrius Benokraitis 2009-12-01 22:11:53 UTC
Hi Mike, how is this looking for 5.5?

Comment 43 Chris Ward 2010-02-11 10:27:28 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 44 Chris Ward 2010-03-05 13:05:04 UTC
@Cisco,

Please update this bugzilla with results from testing as soon as possible. Thank you.

Comment 45 Abhijeet Joglekar 2010-03-08 18:15:23 UTC
NetApp cert suite (NATE) was run against the RHEL 5.5 driver in non-FIP mode on UCS. All tests passed fine.

Here's a short description of the tests from our Cert Engineer:

=======
NATE starts IO to each of the LUNs and proceeds to tune the I/O level so that it falls within NTAP guidelines (45-85% filer utilization).  Once tuned, NATE proceeds through a series of fault injection steps The faults are:
Take-give (5)
Forced take-give (5)
Filer panic (5)
Filer forced reboot (5)
Filer switch port block (50)
Filer wwpn switch port block (50)
FCP down (5)

The numbers in parentheses are the iteration count of the test.

During all of these tests, DT (Disk Test) is running I/O patterns on the disks attached to the OS on the blades (or virtual machines).  If DT were to see any data corruption, it would be immediately flagged as a failure.  The hosts are checked that they didn't reboot during the test, nor did they lose ethernet connectivity.  Also, the hosts are checked after each filer event to make sure the proper number of disk devices and paths are visible on the host.

When all totaled, NATE ran 1272 separate tests against the FC portion of Palo on RHEL-5.5.

=======

Comment 47 errata-xmlrpc 2010-03-30 07:21:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.